/* qfsmail用テーブルの初期化に使用するSQL */

/* メールテーブル */
create table mail(
m_id int,              /* メールID */
d_id int,              /* ディレクトリID (ディレクトリテーブルのd_idとリンク */
flag char(2),          /* フラグ */
s_id char(1),          /* 状態ID */
mailfrom varchar(255), /* 差出人 */
recipients blob,       /* 受取人 */
cc blob,               /* Cc */
bcc blob,              /* Bcc */
date datetime,         /* 日付 */
subject varchar(255),  /* 件名 */
priority char(1),      /* 重要度 */
size int,              /* サイズ */
regdate datetime,      /* 受信日 */
replyto varchar(255),  /* ReplyTo */
PRIMARY KEY (m_id),
index (d_id)
)
CHARACTER SET 'sjis';

create table mailbody(
m_id int,
body mediumblob,       /* 本文 */
PRIMARY KEY (m_id)
)
CHARACTER SET 'sjis';

/* 添付ファイルテーブル */
create table attachment(
a_id int UNSIGNED NOT NULL AUTO_INCREMENT, /* 添付ID */
m_id int,               /* メールID (メールテーブルのm_idとリンク) */
filename varchar(255),  /* ファイル名 */
encode varchar(64),     /* エンコードの種類 */
rowfile int,/* ファイルの中身 */
regdate timestamp,     /*  作成日 */
PRIMARY KEY (a_id)
)
CHARACTER SET 'sjis';

/* ディレクトリテーブル */
create table dir(
d_id int UNSIGNED NOT NULL AUTO_INCREMENT, /* ディレクトリID */
p_id int,            /* 親のディレクトリID */
name varchar(255),   /* ディレクトリ名 */
filter varchar(255), /* フィルターの条件 */
allfilter char(1),   /* 全てのフィルタを適用するかどうか */
PRIMARY KEY (d_id)
)
CHARACTER SET 'sjis';

/* ディレクトリテーブルの初期化 */
insert into dir (d_id,p_id,name,filter,allfilter) values (1,0,'1.受信','d_id=1',1);
insert into dir (d_id,p_id,name,filter,allfilter) values (2,0,'2.送信','d_id=2',1);
insert into dir (d_id,p_id,name,filter,allfilter) values (3,0,'3.下書き','d_id=3',0);
insert into dir (d_id,p_id,name,filter,allfilter) values (4,0,'4.ごみ箱','d_id=4',0);
insert into dir (d_id,p_id,name,filter,allfilter) values (5,0,'ﾏｰｸ','state.s_id=6',0);


/* 状態テーブル */
create table state(
s_id int, /* 状態ID(メールテーブルのs_idとリンク) */
name varchar(8),
PRIMARY KEY (s_id)
)
CHARACTER SET 'sjis';

/* 状態テーブルの初期化 */
insert into state (s_id,name) values (0,'');
insert into state (s_id,name) values (1,'未読');
insert into state (s_id,name) values (2,'返信');
insert into state (s_id,name) values (3,'下書');
insert into state (s_id,name) values (4,'送信');
insert into state (s_id,name) values (5,'ﾃﾝﾌﾟﾚ');
insert into state (s_id,name) values (6,'★');
insert into state (s_id,name) values (7,'◎');

/* アドレス帳テーブル */
create table address(
u_id int UNSIGNED NOT NULL AUTO_INCREMENT, /* ユーザID */
d_id int,            /* ディレクトリID(アドレス帳ディレクトリテーブルのd_idとリンク) */
name varchar(128),   /* 名前 */
kana varchar(128),   /* ふりがな */
company varchar(128),/* 会社 */
belong varchar(128), /* 所属 */
zip varchar(8),      /* 〒 */
address varchar(255),/* 住所 */
tel varchar(15),     /* TEL */
fax varchar(15),     /* FAX */
email varchar(128),  /* メールアドレス */
homepage varchar(128),/* ホームページ */
memo varchar(255),    /* メモ */
PRIMARY KEY (u_id))
CHARACTER SET 'sjis';

/* アドレス帳ディレクトリテーブル */
create table ad_dir(
d_id int UNSIGNED NOT NULL AUTO_INCREMENT, /* ディレクトリID */
p_id int,          /* 親のディレクトリID */
name varchar(255), /* 名前 */
PRIMARY KEY (d_id)
)
CHARACTER SET 'sjis';

/* アドレス帳ディレクトリテーブルの初期化 */
insert into ad_dir (d_id,p_id,name) values (1,0,'ｱﾄﾞﾚｽ帳');
